/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
const pool = require("./connect");
import {QueryError, RowDataPacket} from 'mysql2';

interface definitionInterface{
    (message:string):void;
}
export default function Select(sql: string, callback: definitionInterface) {
pool.query(sql, (err: QueryError, rows: RowDataPacket[]) => {
    callback(rows[0]);
    console.log(rows[0]);
});
}

/*export default function Select(sql: string, callback: definitionInterface) {
    pool.getConnection(function(err, conn) {
        conn.query(sql , function(err, rows) {
            callback(rows);
         });
        pool.releaseConnection(conn);
     })

  }*/